Page MenuHomePhabricator

Logged-out users might overwrite earlier unsighted revisions due to oldid in edit link
Closed, ResolvedPublic

Description

Author: matthiasbecker1967

Description:
An IP user of the German Wikipedia reported an issue with not logged-in users.

If revisions have not been reviewed an IP user's edit might overwrite the earlier made but not yet reviewed edits.

See
http://de.wikipedia.org/w/index.php?title=Wikipedia:Fragen_zur_Wikipedia&oldid=94478779#MW118:_Bearbeitung_eines_ungesichteten_Artikels

User did not report which OS and browser but another user could reproduce the issue with Opera.


Version: unspecified
Severity: critical

Details

Reference
bz31489

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:55 PM
bzimport set Reference to bz31489.
bzimport added a subscriber: Unknown Object (MLST).

syrcro wrote:

Reproduced with Win 7 Pro SP 1 (German), Chrome 14.

steefy389 wrote:

Too clearify it: If you click the edit-Button on the stable version of a page, not the current (unstable) version of the page is edited as prior to 1.18, but instead the stableversion is opened to edit (oldid). This leads to a notice that the user isn't editing the current version, but I think that many users will just ignore the notice, edit the stable version and overwrite unstable changes.

This isn't restricted to logged-out users, it affects everybody who uses the stable version of an article as standard.

aaron added a comment.Oct 11 2011, 9:33 PM

Possibly caused by r80001. Previously, the edit link did not have oldid=x in it for the stable version like this.

Fixed on site, will port to /trunk later.

aaron added a comment.Oct 12 2011, 1:08 AM

Fixed in r99614.

a.d.bergi wrote:

I think a edit link should link to a form where you can edit the content you're currently seeing. What if you find an error, want to fix it, and can't find it in the source any more (and going back to view tab it's still there)?
So when we link to another version to edit than the shown, we should point that out, e.g. in the edit links tooltip.

aaron added a comment.Oct 13 2011, 4:43 AM

(In reply to comment #6)

I think a edit link should link to a form where you can edit the content you're
currently seeing.

That's going to cause the same problem this bug reports. This UI change won't happen.

What if you find an error, want to fix it, and can't find it
in the source any more (and going back to view tab it's still there)?

That's what the notice in the edit form is for ("pending changes affect the area you are editing").

So when we link to another version to edit than the shown, we should point that
out, e.g. in the edit links tooltip.

No one is going to notice that.

The current behavior is back to the long-established UI behavior of the software.